package org.diagbot.graphWeb.dao;

import java.util.HashMap;
import java.util.Map;

/**
 * 通过Web接口调用API时输入的访问Neo4j的参数
 * Created by Mark Huang on 2018/10/26.
 */
public class Parameters {
    // 基本信息
    private String uri = "";
    private String port = "";
    private String user = "";
    private String password = "";

    // 连接参数
    private int ConnLifeTime = 30;
    private int TransRetryTime = 5;
    private int ConnPoolSize = 50;
    private int ConnTimeout = 2;

    // Node参数
    private String Label = "";
    private Map<String, String> Property = new HashMap<>();
    private String Relation = "";

    private Map<String, Map<String, String>> Node = new HashMap<>();


    public String getURI() {
        return uri;
    }

    public void setURI(String uri) {
        this.uri = uri;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public int getConnLifeTime() {
        return ConnLifeTime;
    }

    public void setConnLifeTime(int ConnLifeTime) {
        this.ConnLifeTime = ConnLifeTime;
    }

    public int getTransRetryTime() {
        return TransRetryTime;
    }

    public void setTransRetryTime(int TransRetryTime) {
        this.TransRetryTime = TransRetryTime;
    }

    public int getConnPoolSize() {
        return ConnPoolSize;
    }

    public void setConnPoolSize(int ConnPoolSize) {
        this.ConnPoolSize = ConnPoolSize;
    }

    public int getConnTimeout() {
        return ConnTimeout;
    }

    public void setConnTimeout(int ConnTimeout) {
        this.ConnTimeout = ConnTimeout;
    }

    public String getLabel() {
        return Label;
    }

    public void setLabel(String Label) {
        this.Label = Label;
    }

    public Map<String, String> getProperty() {
        return Property;
    }

    public void setProperty(Map<String, String> Property) {
        this.Property = Property;
    }

    public String getRelation() {
        return Relation;
    }

    public void setRelation(String Relation) {
        this.Relation = Relation;
    }

    public Map<String, Map<String, String>> getNode() {
        return Node;
    }

    public void setNode(Map<String, Map<String, String>> Property) {
        this.Node = Node;
    }

}
